Bug 1012880 - [RHSC] - Starting rebalance from gluster cli does not show rebalance icon in the activities column
[RHSC] - Starting rebalance from gluster cli does not show rebalance icon in ...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
high Severity high
: ---
: RHGS 2.1.2
Assigned To: Sahina Bose
Sudhir D
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 06:14 EDT by RamaKasturi
Modified: 2015-05-13 12:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 05:08:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching vdsm logs (709.65 KB, text/x-log)
2013-09-27 06:17 EDT, RamaKasturi
no flags Details
Attaching vdsm log (502.43 KB, text/x-log)
2013-09-27 06:22 EDT, RamaKasturi
no flags Details
Attaching engine log (34.44 KB, text/x-log)
2013-09-27 06:37 EDT, RamaKasturi
no flags Details

  None (edit)
Description RamaKasturi 2013-09-27 06:14:49 EDT
Description of problem:
Starting rebalance from gluster cli does not show rebalance icon in the activities column

Version-Release number of selected component (if applicable):
rhsc-2.1.1-0.0.1.master.el6ev.noarch
vdsm-4.12.0-142.git6137a58.el6.x86_64
glusterfs-3.4.1rc1-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a distribute volume.
2. Start rebalance on the volume from Gluster cli using the command "gluster vol rebalance <volname> start"


Actual results:
Rebalance icon doesnot come up in the activities column once rebalance is started from gluster cli.

Expected results:
Rebalance icon should come up in the activities column once rebalance is started from gluster cli.

Additional info:
Comment 1 RamaKasturi 2013-09-27 06:17:40 EDT
Created attachment 803859 [details]
Attaching vdsm logs
Comment 2 RamaKasturi 2013-09-27 06:22:38 EDT
Created attachment 803870 [details]
Attaching vdsm log
Comment 3 RamaKasturi 2013-09-27 06:37:46 EDT
Created attachment 803886 [details]
Attaching engine log
Comment 5 Sahina Bose 2013-10-30 05:08:35 EDT
As per design, only running tasks are added to engine to monitor.
If a task is started and finished before the monitoring interval, then this will not be added to engine.

From vdsm logs:
return tasksList with {'status': {'message': 'Done', 'code': 0}, 'tasks': {'2ac65b47-57c1-40d8-8f8b-4e7abd4b928a': {'volume': 'vol_dis', 'status': 'COMPLETED', 'type': 'REBALANCE', 'bricks': [], 'data': {'totalSizeMoved': 0, 'status': 'COMPLETED', 'filesSkipped': 0, 'filesFailed': 0, 'filesMoved': 0, 'filesScanned': 0}}}}

Note You need to log in before you can comment on or make changes to this bug.